Subject: Re: Errors involving End Of Data (<<EOF) constructs
From: [email-masked] ("Weiqi Gao")

14 Nov 1996 23:12:56 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Tim Endres" <[email-masked]>, <[email-masked]>
X-Msmail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

The script is trying to create a temporary file in the /tmp directory.

--
Weiqi Gao
[email-masked]

----------
From: Tim Endres <[email-masked]>
To: [email-masked]
Subject: Q: Errors involving End Of Data (<<EOF) constructs
Date: Thursday, November 14, 1996 12:19 AM

When I try to build less-290, and I run configure, I get repeated
complaints about a file not being found (./configure: 12780516: No such
file or directory).

I have tracked this down to the use of the inline data construct to cat
small
C programs into files to be compiled on the fly. This looks something like
the following:

cat > file.c <<EOF
int
main( int argc, char *argv )
	{
	return 0;
	}
EOF

When the shell script hits this line it gives the complaint about not being
able to find the file in question (a name that looks like its a number).

The cygnus site shows that someone has successfully compiled less-290, so
someone must have run into this?

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".
----------

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".